net.fortuna.ical4j.model.property

## Class RequestStatus

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.RequestStatus

All Implemented Interfaces:
  Serializable

    public class RequestStatus
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a REQUEST-STATUS iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `CLIENT_ERROR` Client error status.
`static String` `PRELIM_SUCCESS` Preliminary success status.
`static String` `SCHEDULING_ERROR` Scheduling error status.
`static String` `SUCCESS` Success status.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`RequestStatus()` Default constructor.
`RequestStatus(ParameterList aList, String aValue)`
`RequestStatus(ParameterList aList, String aStatusCode, String aDescription, String data)`
`RequestStatus(String aStatusCode, String aDescription, String data)`

### Method Summary

Methods
`String` `getDescription()`
`String` `getExData()`
`String` `getStatusCode()`
`String` `getValue()`
`void` `setDescription(String description)`
`void` `setExData(String exData)`
`void` `setStatusCode(String statusCode)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PRELIM_SUCCESS

    public static final String PRELIM_SUCCESS

Preliminary success status.

See Also:
  Constant Field Values

#### SUCCESS

    public static final String SUCCESS

Success status.

See Also:
  Constant Field Values

#### CLIENT_ERROR

    public static final String CLIENT_ERROR

Client error status.

See Also:
  Constant Field Values

#### SCHEDULING_ERROR

    public static final String SCHEDULING_ERROR

Scheduling error status.

See Also:
  Constant Field Values

### Constructor Detail

#### RequestStatus

    public RequestStatus()

Default constructor.

#### RequestStatus

    public RequestStatus(ParameterList aList,
                 String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

#### RequestStatus

    public RequestStatus(String aStatusCode,
                 String aDescription,
                 String data)

Parameters:
  `aStatusCode` - a string representation of a status code
  `aDescription` - a description
  `data` - a string representation of extension data

#### RequestStatus

    public RequestStatus(ParameterList aList,
                 String aStatusCode,
                 String aDescription,
                 String data)

Parameters:
  `aList` - a list of parameters for this component
  `aStatusCode` - a string representation of a status code
  `aDescription` - a description
  `data` - a string representation of extension data

### Method Detail

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state

#### getDescription

    public final String getDescription()

Returns:
  Returns the description.

#### getExData

    public final String getExData()

Returns:
  Returns the exData.

#### getStatusCode

    public final String getStatusCode()

Returns:
  Returns the statusCode.

#### setValue

    public final void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setDescription

    public final void setDescription(String description)

Parameters:
  `description` - The description to set.

#### setExData

    public final void setExData(String exData)

Parameters:
  `exData` - The exData to set.

#### setStatusCode

    public final void setStatusCode(String statusCode)

Parameters:
  `statusCode` - The statusCode to set.